TargetInfo (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.TargetInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class TargetInfo

    java.lang.Object
      net.sf.antcontrib.cpptasks.TargetInfo

    public final class TargetInfo

extends java.lang.Object

A description of a file built or to be built

Constructor Summary
`TargetInfo(ProcessorConfiguration config, java.io.File[] sources, java.io.File[] sysSources, java.io.File output, boolean rebuild)`

Method Summary
`java.lang.String[]` | `getAllSourcePaths()`
`java.io.File[]` | `getAllSources()`
`ProcessorConfiguration` | `getConfiguration()`
`java.io.File` | `getOutput()`
`boolean` | `getRebuild()`
`SourceHistory[]` | `getSourceHistories(java.lang.String basePath)` Returns an array of SourceHistory objects (contains relative path and last modified time) for the source[s] of this target
`java.lang.String[]` | `getSourcePaths()`
`java.io.File[]` | `getSources()`
`java.lang.String[]` | `getSysSourcePaths()`
`java.io.File[]` | `getSysSources()`
`void` | `mustRebuild()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetInfo

    public TargetInfo(ProcessorConfiguration config,
                      java.io.File[] sources,
                      java.io.File[] sysSources,
                      java.io.File output,
                      boolean rebuild)

Method Detail

### getAllSourcePaths

    public java.lang.String[] getAllSourcePaths()

### getAllSources

    public java.io.File[] getAllSources()

### getConfiguration

    public ProcessorConfiguration getConfiguration()

### getOutput

    public java.io.File getOutput()

### getRebuild

    public boolean getRebuild()

### getSourceHistories

    public SourceHistory[] getSourceHistories(java.lang.String basePath)

  Returns an array of SourceHistory objects (contains relative path and last modified time) for the source[s] of this target

### getSourcePaths

    public java.lang.String[] getSourcePaths()

### getSources

    public java.io.File[] getSources()

### getSysSourcePaths

    public java.lang.String[] getSysSourcePaths()

### getSysSources

    public java.io.File[] getSysSources()

### mustRebuild

    public void mustRebuild()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.